[分享]ubuntu安装QtWvDialer-0.4.4成功拨号DWCL-390C

系统安装、升级讨论
回复
go2
帖子: 153
注册时间: 2008-05-17 4:14
送出感谢: 0
接收感谢: 0

[分享]ubuntu安装QtWvDialer-0.4.4成功拨号DWCL-390C

#1

帖子 go2 » 2008-05-25 17:38

一个晚上没睡,上网上查了很多资料,终于成功装上qtwvdialer,这里和大家分享一下快乐!
因为网上在说明qt的安装经常是把 Qt-Embedded与Qt/X11是放在一起讲,其实两个概念是不一样的!
由于本人也是菜鸟,不知道QtWvDialer-0.4.4需要安装Qt/E还是Qt-x11,QtWvDialer-0.4.4我装的是Qt/X11,版本号为Qt-3.3.2,版本号这很重要,当时为了贪新,我装的是3.8.8b,结果qtwvdialer根本不让编译安装!

以下的文字是我在网上搜到的,本人都成功安装,编译安装费了很长时间!也加了一此自已的体会:


安装Qt-Embedded



确认有安装tmake

apt-get install tmake



确认有安装g++

apt-get install g++



解压qt-embedded-free-3.3.2.tar.gz
放在/root/qt下面 (注意:是在/root/qt下)


tar zxvf qt-embedded-free-3.3.2.tar.gz
cd qt-embedded-free-3.3.2
export QTDIR=/root/qt/qt-embedded-free-3.3.2
export LD_LIBRARY_PATH=/root/qt/qt-embedded-free-3.3.2/lib:$LD_LIBRARY_PATH


./configure


需要根据显存?进行选择,一定要根据自己的情况认真选择 8, 16, 32


make



完成安装!











安装Qt/X11



确认有安装tmake

apt-get install tmake



确认有安装g++

apt-get install g++



确认有安装X11运行库

apt-get install libx11-dev xlibs-static-dev
apt-get install libxext-dev
apt-get install libmcrypt-dev libltdl3-dev libmcrypt4




可能需要root帐号,这取决于你要安装Qt的路径的权限。

如果你还没有解开压缩包的话,请解开:
cd /usr/local
gunzip qt-x11-version.tar.gz # 对这个包进行解压速
tar xf qt-x11-version.tar # 对这个包进行解包
这样就会创建一个包含主要的包中文件的/usr/local/qt-version目录。
把qt-version重新命名为qt(或者建立一个链接):
mv qt-version qt

这里假设Qt要被安装到/usr/local/qt路径下。

在你的主目录下的.profile文件(在ubuntu的/etc下的profile也可,选其一)(或者.login文件,取决于你的shell)中设置一些环境变量。如果它们并不存在的话,就创建它们。

QTDIR -- 你安装Qt的路径
PATH -- 用来定位moc程序和其它Qt工具
MANPATH -- 访问Qt man格式帮助文档的路径
LD_LIBRARY_PATH -- 共享Qt库的路径

就像下面这样做:

在.profile文件(如果你的shell是bash、ksh、zsh或者sh)中,添加下面这些行:

QTDIR=/usr/local/qt
PATH=$QTDIR/bin:$PATH
MANPATH=$QTDIR/doc/man:$MANPATH
LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH

export QTDIR PATH MANPATH LD_LIBRARY_PATH


在.login文件(如果你的shell是csh或者tcsh的情况下),添加下面这些行:


setenv QTDIR /usr/local/qt
setenv PATH $QTDIR/bin:$PATH
setenv MANPATH $QTDIR/man:$MANPATH
setenv LD_LIBRARY_PATH $QTDIR/lib:$LD_LIBRARY_PATH

做完这些之后,你需要重新登录,或者在继续工作之前重新指定你的配置文件,这样至少$QTDIR被设置了。否则的话安装程序就会给出一个错误信息并且不再进行下去了。


安装你的许可证文件。对于自由版本,你不需要一个许可证文件。对于专业版和企业版,你就需要安装一个和你的发行版一致的许可证文件。

编译Qt库,并且连编实例程序、教程和工具(比如Qt设计器),就像下面这样。
输入:

./configure

这样的话就为你的机器配置Qt库。注意在默认条件下GIF文件支持选项是关闭的。运行./configure -help就会得到配置选项的一个列表。阅读PLATFORMS文件能够得到被支持的平台的列表。

生成库和编译所有的例程和教程:

make

如果你有问题,请看http://www.trolltech.com/platforms/

在很少的情况下,如果你使用了共享库,在这个地方你也许需要运行/sbin/ldconfig或者其它相似的东西。
如果你在运行实例程序的时候遇到问题,比如消息如下

can't load library 'libqt.so.2'

你也许需要在配置文件中给定一个qt库的定位,并且以root的身份在你的系统中运行/sbin/ldconfig。并且你不要忘记了在上面的第二步中提到的设置一个LD_LIBRARY_PATH环境变量。

在线的HTML文档被安装到了/usr/local/qt/doc/html/,主页面是/usr/local/qt/doc/html/index.html。man帮助文档被安装到了/usr/local/qt/doc/man/。


已经安装完毕。



qtwvdialer的安装:

先以 root 运行:
QTDIR=/usr/local/qt
PATH=$QTDIR/bin:$PATH
MANPATH=$QTDIR/doc/man:$MANPATH
LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
export QTDIR PATH MANPATH LD_LIBRARY_PATH
再进行编译!


完成后,QtWvDialer-0.4.4/bin下的qtwvdialer就是拨号程序了!为了方便可以放在面板或菜单!


所有用./configure编译的软件,如编译过程出错,可用命令清除重新编译:

make confclean
附件
Screenshot.png
回复

回到 “系统安装和升级”